#
# spec file for package nfs-server (Version 2.2beta47)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  tcpd
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit tcpd texinfo textutils timezone unzip util-linux vim

Name:         nfs-server
Copyright:    GPL
Group:        Networking/Daemons
Provides:     nfsserv nkita:/usr/sbin/rpc.nfsd
Obsoletes:    nfsserv
Requires:     portmap
Conflicts:    nfsutils
Autoreqprov:  on
Version:      2.2beta47
Release:      126
Summary:      Userspace NFS server daemons
Url:          ftp://linux.mathematik.tu-darmstadt.de/pub/linux/people/okir
Source:       nfs-server-%{version}.tar.bz2
Source1:      nfsserver.init
Source2:      rc.config.nfsserv
Source3:      rpc.ugidd.init
Patch:        nfs-server-%{version}.dif
Patch1:       unfsd-reiserfs-4.gz
Patch2:       nfs-server-%{version}-map.dif
Patch3:       nfs-server-%{version}-FHS.dif
BuildRoot:    /var/tmp/%{name}-build

%description
The NFS server daemons are needed when you wish to export directories
on your machine to other hosts via the NFS protocol.
There are 2 NFS Server: the userspace NFS server and the kernel NFS
server. This package contains the userspace NFS server. The utilities
for the kernel NFS server can be found in the "nfs-utils" package.
For quota over NFS support please install the "quota" package.

Authors:
--------
    Olaf Kirch <okir@caldera.de>

SuSE series: n

%prep
%setup
%patch
%patch1
%patch2
%patch3

%build
%{suse_update_config -f}
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./BUILD --batch --rquotad=no \
                                        --ugidd=yes --nis=yes \
                                        --hosts-access=yes\
	                                --libwrap-directory=/usr/lib \
                                        --exports-uid=0 --exports-gid=0\
	                                --log-mounts=yes --multi --devtab=yes
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/var/lib/nfs
install -d $RPM_BUILD_ROOT/var/adm/fillup-templates
install -m 644 $RPM_SOURCE_DIR/rc.config.nfsserv $RPM_BUILD_ROOT/var/adm/fillup-templates/
install -d $RPM_BUILD_ROOT/etc/init.d
install -m 744 %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/nfsserver
install -m 744 %{SOURCE3} $RPM_BUILD_ROOT/etc/init.d/ugidd
ln -sf ../../etc/init.d/nfsserver $RPM_BUILD_ROOT/usr/sbin/rcnfsserver
ln -sf ../../etc/init.d/ugidd $RPM_BUILD_ROOT/usr/sbin/rcugidd

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q etc/rc.config var/adm/fillup-templates/rc.config.nfsserv
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.nfsserv"
  echo "and update by hand."
fi
sbin/insserv etc/init.d/nfsserver
sbin/insserv etc/init.d/ugidd

%postun
sbin/insserv etc/init.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc BUGS COPYING ChangeLog HALL_OF_FAME NEWS README README.HISTORIC TODO
%doc %{_mandir}/man?/*
/var/lib/nfs
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/rc.config.nfsserv

%changelog -n nfs-server
* Mon Sep 17 2001 - cihlar@suse.cz
- changed /var/state/nfs -> /var/lib/nfs [#8678]
* Thu Aug 09 2001 - cihlar@suse.cz
- added rc_status also to others part of init script
* Tue Jul 31 2001 - kukuk@suse.de
- Fix path to init script in init script header [Bug #9494]
* Thu Jun 28 2001 - cihlar@suse.cz
- added rc_status to start and stop
* Fri Apr 13 2001 - cihlar@suse.cz
- fixed init scripts by new skeleton (try-restart)
* Thu Apr 12 2001 - cihlar@suse.cz
- fixed init scripts by new skeleton
* Thu Apr 12 2001 - cihlar@suse.cz
- removed call of aclocal
* Tue Mar 27 2001 - cihlar@suse.cz
- enable mapping for each share
* Thu Mar 22 2001 - ro@suse.de
- added split-aliases as provides
* Wed Feb 21 2001 - ro@suse.de
- renamed source rcp.ugidd.init to rpc.ugidd.init
- marked as souce in spec and use source-macro to install
- added missing insserv-call for ugidd
* Wed Feb 21 2001 - cihlar@suse.cz
- added BuildRoot
- added suse_update_config
- bzipped sources
- created rcugidd [#4858]
* Tue Feb 06 2001 - ro@suse.de
- fix time.h inclusion
* Fri Jan 12 2001 - kukuk@suse.de
- mark init.d script as config file
* Fri Jan 12 2001 - ro@suse.de
- fixed conflicts: nfsutils (#5548)
* Wed Nov 29 2000 - smid@suse.cz
- renamed: nfsserv => nfs-server
* Tue Nov 28 2000 - ro@suse.de
- fixed startscript
* Mon Sep 25 2000 - kukuk@suse.de
- Fix typo in rcnfsserv script [BUG #3909]
* Fri Jun 23 2000 - kukuk@suse.de
- Remove comments about "numcopies" from nfsd manual page (Bug/2945)
* Fri Jun 23 2000 - kukuk@suse.de
- Add reiserfs patch from Andi Kleen
* Tue Apr 18 2000 - kukuk@suse.de
- Fix rcnfsserver link
* Fri Apr 14 2000 - kukuk@suse.de
- Add rc.config entries and start script from aaa_base
- Add tcpd to need for build
- Add conflict to knfsd
- requires portmap
* Tue Feb 22 2000 - kukuk@suse.de
- fill out Group and Copyright tag.
* Fri Feb 04 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Thu Nov 11 1999 - kukuk@suse.de
- Security update to version 2.2beta47
* Sat Oct 16 1999 - kukuk@suse.de
- Add Debian patches
- Update to version 2.2beta46
* Thu Oct 14 1999 - kukuk@suse.de
- Moved from nkita to here.
